package com.muyu.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.domain.Structure;
import com.muyu.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TextController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/24 20:45
 */
@RestController
@RequestMapping("/structure")
public class StructureController {

    @Resource
    private StructureService structureService;

    @GetMapping("/findThis")
    public String findThis() {
        return structureService.findThis();
    }
}
